Index: src/aubio.h
===================================================================
--- src/aubio.h	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/aubio.h	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -59,5 +59,6 @@
 /* in this order */
 #include "types.h"
-#include "sample.h"
+#include "fvec.h"
+#include "cvec.h"
 #include "mathutils.h"
 #include "utils/scale.h"
Index: src/fvec.c
===================================================================
--- src/fvec.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/fvec.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -19,5 +19,5 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
 
 fvec_t * new_fvec( uint_t length, uint_t channels) {
Index: src/mathutils.c
===================================================================
--- src/mathutils.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/mathutils.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -21,5 +21,5 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
 #include "mathutils.h"
 #include "config.h"
Index: src/onset/onset.c
===================================================================
--- src/onset/onset.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/onset/onset.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -19,5 +19,6 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
+#include "cvec.h"
 #include "onset/onsetdetection.h"
 #include "spectral/phasevoc.h"
Index: src/onset/onsetdetection.c
===================================================================
--- src/onset/onsetdetection.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/onset/onsetdetection.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -19,5 +19,6 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
+#include "cvec.h"
 #include "spectral/fft.h"
 #include "mathutils.h"
Index: src/onset/peakpick.c
===================================================================
--- src/onset/peakpick.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/onset/peakpick.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -19,5 +19,5 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
 #include "mathutils.h"
 #include "temporal/biquad.h"
Index: src/pitch/pitchdetection.c
===================================================================
--- src/pitch/pitchdetection.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/pitch/pitchdetection.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -18,5 +18,6 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
+#include "cvec.h"
 #include "spectral/phasevoc.h"
 #include "mathutils.h"
Index: src/pitch/pitchfcomb.c
===================================================================
--- src/pitch/pitchfcomb.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/pitch/pitchfcomb.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -19,5 +19,6 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
+#include "cvec.h"
 #include "mathutils.h"
 #include "spectral/fft.h"
Index: src/pitch/pitchmcomb.c
===================================================================
--- src/pitch/pitchmcomb.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/pitch/pitchmcomb.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -19,5 +19,6 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
+#include "cvec.h"
 #include "mathutils.h"
 #include "pitch/pitchmcomb.h"
Index: src/pitch/pitchschmitt.c
===================================================================
--- src/pitch/pitchschmitt.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/pitch/pitchschmitt.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -19,5 +19,5 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
 #include "pitch/pitchschmitt.h"
 
Index: src/pitch/pitchyin.c
===================================================================
--- src/pitch/pitchyin.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/pitch/pitchyin.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -27,5 +27,5 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
 #include "mathutils.h"
 #include "pitch/pitchyin.h"
Index: src/pitch/pitchyinfft.c
===================================================================
--- src/pitch/pitchyinfft.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/pitch/pitchyinfft.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -18,5 +18,6 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
+#include "cvec.h"
 #include "mathutils.h"
 #include "spectral/fft.h"
Index: src/sample.h
===================================================================
--- src/sample.h	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ 	(revision )
@@ -1,26 +1,0 @@
-/*
-   Copyright (C) 2003-2007 Paul Brossier <piem@piem.org>
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-
-*/
-
-#ifndef _SAMPLE_H
-#define _SAMPLE_H
-
-#include "fvec.h"
-#include "cvec.h"
-
-#endif /* _SAMPLE_H */
Index: src/spectral/filterbank.c
===================================================================
--- src/spectral/filterbank.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/spectral/filterbank.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -21,5 +21,6 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
+#include "cvec.h"
 #include "spectral/filterbank.h"
 #include "mathutils.h"
Index: src/spectral/mfcc.c
===================================================================
--- src/spectral/mfcc.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/spectral/mfcc.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -22,5 +22,6 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
+#include "cvec.h"
 #include "spectral/fft.h"
 #include "spectral/filterbank.h"
Index: src/spectral/tss.c
===================================================================
--- src/spectral/tss.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/spectral/tss.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -21,5 +21,6 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
+#include "cvec.h"
 #include "mathutils.h"
 #include "spectral/tss.h"
Index: src/tempo/beattracking.c
===================================================================
--- src/tempo/beattracking.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/tempo/beattracking.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -19,5 +19,5 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
 #include "mathutils.h"
 #include "tempo/beattracking.h"
Index: src/tempo/tempo.c
===================================================================
--- src/tempo/tempo.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/tempo/tempo.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -19,5 +19,6 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
+#include "cvec.h"
 #include "onset/onsetdetection.h"
 #include "tempo/beattracking.h"
Index: src/temporal/biquad.c
===================================================================
--- src/temporal/biquad.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/temporal/biquad.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -19,5 +19,5 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
 #include "mathutils.h"
 #include "temporal/biquad.h"
Index: src/temporal/filter.c
===================================================================
--- src/temporal/filter.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/temporal/filter.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -23,5 +23,5 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
 #include "mathutils.h"
 #include "temporal/filter.h"
Index: src/temporal/resample.c
===================================================================
--- src/temporal/resample.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/temporal/resample.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -22,5 +22,5 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
 #include "temporal/resample.h"
 
Index: src/utils/hist.c
===================================================================
--- src/utils/hist.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/utils/hist.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -18,5 +18,5 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
 #include "utils/scale.h"
 #include "mathutils.h" //vec_min vec_max
Index: src/utils/scale.c
===================================================================
--- src/utils/scale.c	(revision fc6c831353a0be625d6ea77b38399b9ace2cf9d0)
+++ src/utils/scale.c	(revision dddf1f5c839a1e984c3365718e6f47f34dab85e3)
@@ -19,5 +19,5 @@
 
 #include "aubio_priv.h"
-#include "sample.h"
+#include "fvec.h"
 #include "utils/scale.h"
 
